YouTube Provider for Faker
---

This package will allow [Faker](https://github.com/fzaninotto/Faker) to generate
fake, but technically valid, YouTube URLs in various formats as well as an embed
HTML.

YouTube's hashing algorithm ensures that the possibility of collisions is really
low, so the chances of a random URI generated by this packge being a real video
is also really low, but not impossible.

[![Build Status](https://travis-ci.org/aalaap/faker-youtube.svg?branch=master)](https://travis-ci.org/aalaap/faker-youtube)

## Install

To install, use composer:

```bash
composer require aalaap/faker-youtube
```

## Use

```php
$faker = \Faker\Factory::create();
$faker->addProvider(new Faker\Provider\Youtube($faker));
```

```
$faker->youtubeUri()
// https://www.youtube.com/watch?v=KyXYWQ-B3zO

$faker->youtubeShortUri()
// https://youtu.be/watch?v=rsPyiZSzj3g

$faker->youtubeEmbedUri()
// https://www.youtube.com/embed/aUgKvcNS6en

$faker->youtubeEmbedCode()
// <iframe width="560" height="315" src="https://www.youtube.com/embed/aUgKvcNS6en" frameborder="0" gesture="media" allow="encrypted-media" allowfullscreen></iframe>

$faker->youtubeRandomUri()
// https://youtu.be/watch?v=lctkDb05MKT
```

## License

This package is under the WTFPL license. Do whatever you want with it.

[LICENSE](https://github.com/aalaap/faker-youtube/LICENSE)

## Reporting an issue or a feature request

Fork it, send a PR. Issues and feature requests are tracked in the
[GitHub issue tracker](https://github.com/aalaap/faker-youtube/issues).
